Subject: Re: bug#25851: 25.2; GTK warning when starting Emacs when desktop file has more than one frame

From: Eli Zaretskii <[email-masked]>
Date: Mon, 27 Feb 2017 20:37:06 +0200

> From: [email-masked] (N. Jackson)
> Cc: [email-masked], Martin Rudalics <[email-masked]>
> Date: Mon, 27 Feb 2017 13:26:43 -0500
> 
> At 18:18 +0200 on Monday 2017-02-27, Eli Zaretskii wrote:
> 
> > Unless Martin will be able to resolve the issue "properly", I guess
> > the only way of shutting up the warning is to use
> > g_log_set_writer_func to temporarily set the glib log writer function
> > to a dummy one that does nothing, then restore the original writer
> > function.  That's gross, but what else can be done when you deal with
> > libraries which think they are smarter than you are?..
> >
> > Thanks.
> 
> [I'm sure your question is rhetorical, but if it weren't, at one time I
> would have said the what could be done is to leave the world of
> paternalistic proprietary software and use Free software instead! Sadly,
> the paternalistic-proprietary-software thinking has infected Free
> software and we increasingly see libraries and tools that do what they
> think the user should want them to do, rather than flexibly doing what the
> user asks them to do.]

Hear, hear.

> Rather that trying to cover up the warning, can we not just do what the
> library wants; is it impossible for us to call "gtk_widget_show_all() on
> the contents and gtk_window_set_geometry_hints() on the window" before
> calling gtk_window_parse_geometry()?

That's what I meant with "resolve the issue properly".  Hopefully,
Martin will be able to rescue us from ourselves (and from glib's log
tyranny).